/*
 * AddressData.java
 *
 * Copyright 2014 the Monache.org.
 * http://www.monache.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.monache.nagesen;

import java.math.BigDecimal;
import java.util.Calendar;

/**
 * 
 * 
 * @author monache.org
 * @since 1.0
 */
public class AddressData {

	private String address = null;
	private String coin = null;
	private String message = null;
	private String id;

	private BigDecimal amount = null;
	private Calendar timestamp = null;

	/**
	 * 
	 * @since 1.0
	 */
	public AddressData() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return address
	 * @since 1.0
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @param address セットする address
	 * @since 1.0
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * @return coin
	 * @since 1.0
	 */
	public String getCoin() {
		return coin;
	}

	/**
	 * @param coin セットする coin
	 * @since 1.0
	 */
	public void setCoin(String coin) {
		this.coin = coin;
	}

	/**
	 * @return message
	 * @since 1.0
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message セットする message
	 * @since 1.0
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	/**
	 * @return id
	 * @since 1.0
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id セットする id
	 * @since 1.0
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return timestamp
	 * @since 1.0
	 */
	public Calendar getTimestamp() {
		return timestamp;
	}

	/**
	 * @param timestamp セットする timestamp
	 * @since 1.0
	 */
	public void setTimestamp(Calendar timestamp) {
		this.timestamp = timestamp;
	}

	/**
	 * @return amount
	 * @since 1.0
	 */
	public BigDecimal getAmount() {
		return amount;
	}

	/**
	 * @param amount セットする amount
	 * @since 1.0
	 */
	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}


	
}
